# Class EchoClient

java.lang.Object
org.a11y.brlapi.Component
org.a11y.brlapi.ProgramComponent
org.a11y.brlapi.Program
org.a11y.brlapi.Client
org.a11y.brlapi.clients.EchoClient

All Implemented Interfaces:
  `Runnable`

public class EchoClient extends Client

## Nested Class Summary

### Nested classes/interfaces inherited from class Client

`Client.ClientTask, Client.RawModeTask, Client.TtyModeTask`

### Nested classes/interfaces inherited from class Program

`Program.Option`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_READ_COUNT`
`static final int`
`DEFAULT_READ_TIMEOUT`
`static final int`
`FOREVER_READ_TIMEOUT`
`static final int`
`MINIMUM_READ_COUNT`
`static final int`
`MINIMUM_READ_TIMEOUT`
`static final String`
`NO_TIMEOUT`

### Fields inherited from class Program

`USAGE_OPTIONAL_BEGIN, USAGE_OPTIONAL_END, USAGE_REPEATING_INDICATOR`

### Fields inherited from class ProgramComponent

`EXIT_CODE_EXTERNAL, EXIT_CODE_INTERNAL, EXIT_CODE_SEMANTIC, EXIT_CODE_SUCCESS, EXIT_CODE_SYNTAX`

### Fields inherited from class Component

`BYTE_MASK, UNICODE_BRAILLE_ROW`

## Constructor Summary

Constructors
Constructor
Description
`EchoClient(String... arguments)`

## Method Summary

Modifier and Type
Method
Description
`protected final void`
`extendUsageSummary(StringBuilder usage)`
`protected void`
`processParameters(String[] parameters)`
`protected final void`
`runClient(Connection connection)`

### Methods inherited from class Client

`getParameter, pause, rawMode, rawMode, runProgram, setAuthenticationScheme, setServerHost, ttyMode, ttyMode`

### Methods inherited from class Program

`addOption, addOptionalParameters, addRepeatingParameter, addRequiredParameters, getProgramName, getPurpose, getUsageSummary, isClient, onProgramException, run, setProgramName, writeProgramMessage`

### Methods inherited from class ProgramComponent

`isClient, isClient`

### Methods inherited from class Component

`getObjectName, getObjectName, printf, toOperandName, toUnicodeBraille, toUnicodeBraille`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MINIMUM_READ_COUNT

public static final int MINIMUM_READ_COUNT

See Also:
  - Constant Field Values

### DEFAULT_READ_COUNT

public static final int DEFAULT_READ_COUNT

See Also:
  - Constant Field Values

### NO_TIMEOUT

public static final String NO_TIMEOUT

See Also:
  - Constant Field Values

### FOREVER_READ_TIMEOUT

public static final int FOREVER_READ_TIMEOUT

See Also:
  - Constant Field Values

### MINIMUM_READ_TIMEOUT

public static final int MINIMUM_READ_TIMEOUT

See Also:
  - Constant Field Values

### DEFAULT_READ_TIMEOUT

public static final int DEFAULT_READ_TIMEOUT

See Also:
  - Constant Field Values

## Constructor Details

### EchoClient

public EchoClient(String... arguments)

## Method Details

### extendUsageSummary

protected final void extendUsageSummary(StringBuilder usage)

Overrides:
  `extendUsageSummary` in class `Client`

### processParameters

protected void processParameters(String[] parameters) throws SyntaxException

Overrides:
  `processParameters` in class `Program`
Throws:
  `SyntaxException`

### runClient

protected final void runClient(Connection connection) throws ProgramException

Specified by:
  `runClient` in class `Client`
Throws:
  `ProgramException`